{% extends 'base.html' %}
{% block nav-proyecto %}
    <li class="nav-item active">
        <a class="nav-link" href="{% url 'Proyecto:index' %}">Proyecto <span class="sr-only">(current)</span> </a>
    </li>
{% endblock %}

{% block content %}

    <div class="container mb-5">
        <div class="py-5 text-center ">
            <h1 class="text-light"> Product Backlog </h1>
        </div>
        <div class="bg-light border rounded border-dark ">
            <div class="input-group">
                <input type="text" id="buscarUs" onkeyup="buscarTabla('buscarUs','tablaUs')"
                       placeholder="Buscar por nombre"
                       title="Escriba un US" class="form-control m-3" aria-describedby="inputGroup-sizing-lg">
            </div>
            <div class="p-3">
                <table class="table table-hover" id="tablaUs">
                    <thead class="thead-dark">{# cabecera de tabla #}
                    <tr>
                        <th onclick="sortTable(0,'tablaUs','String')" width="35%">Titulo</th>
                        <th onclick="sortTable(1,'tablaUs','String')">Estado</th>
                        <th onclick="sortTable(2,'tablaUs','String')">Estimacion</th>
                        <th onclick="sortTable(3,'tablaUs','Numero')">Prioridad</th>
                        <th onclick="sortTable(4,'tablaUs','String')">Encargado</th>
                        <th>Acciones</th>
                    </tr>
                    </thead>
                    <tbody>

                    <!-- Recorremos los objetos o registros que tenemos en nuestra tabla y los listamos -->
                    {% for userStory in listUs %}{# todas las US que vienen desde view.py #}
                        <tr>
                            <td>{{ userStory.titulo }}</td>
                            <td>
                                {% if userStory.estado == "N" %}
                                    Nuevo
                                {% elif userStory.estado == 'P' %}
                                    Pendiente
                                {% elif userStory.estado == 'EP' %}
                                    En proceso
                                {% elif userStory.estado == 'STSA' %}
                                    Sin Terminar Sprint Anterior
                                {% elif userStory.estado == 'A' %}
                                    Aprobado
                                {% elif userStory.estado == 'H' %}
                                    Hecho
                                {% elif userStory.estado == 'C' %}
                                    Cancelado
                                {% endif %}

                            </td>
                            <td>{{ userStory.estimacion }}</td>
                            <td>{{ userStory.prioridad }}</td>
                            <td>{{ userStory.encargado }}</td>

                            <td>
                                <form method="POST" action="">
                                    {% csrf_token %}
                                    <div class="btn-group">
                                        <a href="{% url 'Proyecto:agregarSprintBacklog' idProyecto idSprint userStory.id %}"
                                           title="Ver" type="button"
                                           class="btn btn-success">Agregar a Sprint Backlog </a>
                                    </div>
                                </form>
                            </td>

                            </td>
                        </tr>
                    {% endfor %}

                    </tbody>
                </table>
            </div>

            <div class="d-flex row justify-content-center p-3">
                <a class="btn btn-secondary center" href="{% url 'Proyecto:ListarSprint' idProyecto %} "
                   role="button">Volver</a>
            </div>
        </div>
    </div>

{% endblock %}